<section class="profil annonce">

    <div class="container">

      <div class="row">
        <h2 class="col-md-offset-1 col-md-9 col-lg-offset-2 col-lg-10">Votre annonce Publique</h2>
      </div>
      <div class="row">
        <p class="col-md-offset-1 col-md-9 col-lg-offset-2 col-lg-10">Ici vous pouvez voir et modifier vos information publique.</p>
      </div>
      <div class="row" ng-show="!lieuDeTravailExiste">
        <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6"><p class="alert alert-danger">Vous devez remplir et valider une annonce pour être visible sur le site</p></div>
      </div>


      <div class="row">
        <div id="informationCompte" class="col-xs-6 col-sm-offset-1 col-md-offset-2 col-md-4 col-lg-offset-3">
          <p class="glyphicon">Titre : <a href="#" editable-text="lieuDeTravail.titre">{{ lieuDeTravail.titre || 'Vous devez remplir ce champ' }}</a></p><br>

          <p class="glyphicon glyphicon-home">Type : <a href="#" editable-select="lieuDeTravail.typeStructure" e-ng-options="s.value as s.text for s in listStruct">{{ showStructure() || 'Vous devez remplir ce champ' }}</a></p><br>

        </div>
      </div>

      <div class="row">
        <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
          <h3>Images de présentation :</h3>
        </div>
      </div>

      <div class="row">
        <div id="photosAnnonce" class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
          <div ng-repeat="i in [9,8,7,6,5,4,3,2,1,0] track by $index">
            <img ng-click="selectionImage($index+1)" ng-src="/img/imageAnnonce/{{lieuDeTravail.CompteLier || 'none'}}_{{$index+1}}.jpg" on-error-src="/img/imageAnnonce/0.jpg">
          </div>
        </div>
      </div>

      <div class="row" ng-show="lieuDeTravailExiste">
        <div ng-show="!maxImage()" id="ajouterPhoto" class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
          <br>
          <form name="upload_form">
            <input type="file" id="selectFichier" class="btn btn-primary" ngf-select ng-model="file" name="file" ngf-pattern="'image/*'" accept="image/*" ngf-max-size="20MB"/>
            <i ng-show="upload_form.file.$error.required">*required</i><br>
            <i ng-show="upload_form.file.$error.maxSize">File too large
              {{file.size / 1000000|number:1}}MB: max 20M</i>
            <button type="submit" class="btn btn-success" ng-click="submit()">Ajouter la photo</button>
            <button ng-show="supprimerAfficher" class="btn btn-danger" ng-click="supprimerImage()">Supprimer l'image</button>
          </form>
        </div>
        <div ng-show="maxImage()" class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
          <br>
          <p class="alert alert-success">Vous avez atteint le nombre maximum d'images.</p>
        </div>
      </div>

      <div class="row" ng-show="!lieuDeTravailExiste" >
        <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6"><p class="alert alert-danger">Pour ajouter des photos de présentation. Vous devez remplir et valider une annonce pour être visible sur le site.</p></div>
      </div>

      
      <div class="row">
          <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
            <h3>Localisation :</h3>
            <p class="glyphicon "><span class="infos">Ville : </span class="infos"><a href="#" editable-text="lieuDeTravail.ville">{{ lieuDeTravail.ville || 'Vous devez remplir ce champ' }}</a></p><br>
            <p class="glyphicon "><span class="infos">Adresse : </span class="infos"><a href="#" editable-text="lieuDeTravail.adresse">{{ lieuDeTravail.adresse || 'Vous devez remplir ce champ' }}</a></p><br>
            <p class="glyphicon "><span class="infos">Code Postal : </span><a href="#" editable-number="lieuDeTravail.codePostal">{{ lieuDeTravail.codePostal || 'Vous devez remplir ce champ' }}</a></p><br>
          </div>
      </div>

      <div class="row" ng-show="!localisationBonne">
        <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6"><p class="alert alert-danger">L'ensemble des champs si dessus (ville, adresse, code postal) ne permet pas de trouver un endroit correspondant. Vous devez changer leurs différentes valeurs.</p></div>
      </div>

      <div class="row">
          <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
            <div map-lazy-load="https://maps.google.com/maps/api/js" map-lazy-load-params="{{googleMapsUrl}}">
              <ng-map center="47, 3" zoom="6" style="height: 100%;">
                <marker position="{{localisation.latitude}}, {{localisation.longitude}}" optimized="false"></marker>
              </ng-map>
            </div>
          </div>
      </div>

      <div class="row">
          <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
            <h3>Particularitées :</h3>
            <p class="glyphicon"><span class="infos">Est informatisé : </span><a href="#" editable-checkbox="lieuDeTravail.informatise" e-title="informatise">{{ lieuDeTravail.informatise && 'oui' || !lieuDeTravail.informatise && 'non' || 'Vous devez remplir ce champ' }}</a></p><br>
            <p class="glyphicon"><span class="infos">Il y a un secretariat : </span><a href="#" editable-checkbox="lieuDeTravail.secretariat" e-title="secretariat">{{ lieuDeTravail.secretariat && 'oui' || !lieuDeTravail.secretariat && 'non' || 'Vous devez remplir ce champ' }}</a></p><br>
            <p class="glyphicon"><span class="infos">Un logement est proposé : </span><a href="#" editable-checkbox="lieuDeTravail.logement" e-title="logement">{{ lieuDeTravail.logement && 'oui' || !lieuDeTravail.logement && 'non' || 'Vous devez remplir ce champ' }}</a></p><br>
            <p></p>
          </div>
      </div>

      <div class="row">
          <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
            <h3>Description</h3>
            <p id="description" class="glyphicon glyphicon-list-alt"><a href="#" editable-textarea="lieuDeTravail.description">{{ lieuDeTravail.description || 'Vous devez remplir ce champ' }}</a></p>
          </div>
          <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
            <button ng-show="!lieuDeTravailExiste" class="btn btn-success" ng-click="createLieu()"> Valider la création de l'annonce</button>
            <br><br><br>
          </div>
      </div>
    </div>
    
</section>